/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.cir;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOIndividu;
import org.cocktail.mangue.modele.mangue.cir.EOCirIdentite;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class CirIdentiteView extends javax.swing.JPanel {


	private static final long serialVersionUID = -7770031412248058797L;

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

    /** Creates new form TemplateJPanel */
    public CirIdentiteView(EODisplayGroup dg) {

        eod = dg;
                
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        tfFiltrePrenom = new javax.swing.JTextField();
        btnSupprimer = new javax.swing.JButton();
        btnPreparerDonnees = new javax.swing.JButton();
        checkValide = new javax.swing.JCheckBox();
        btnInvalider = new javax.swing.JButton();
        tfMessage = new javax.swing.JLabel();
        btnRepreparer = new javax.swing.JButton();
        btnPreparerFichier = new javax.swing.JButton();
        btnImprimer = new javax.swing.JButton();
        btnImporter = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        popupCertifies = new javax.swing.JComboBox();
        jLabel5 = new javax.swing.JLabel();
        popupCompletudes = new javax.swing.JComboBox();
        btnExporter = new javax.swing.JButton();
        btnRechercher = new javax.swing.JButton();

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnModifier.setToolTipText("Modification CIR sélectionné");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("Nom ?");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel3.setText("Prénom ?");

        btnSupprimer.setToolTipText("Suppression CIR sélectionné");

        btnPreparerDonnees.setText("Préparer DONNEES");
        btnPreparerDonnees.setToolTipText("Préparation des données CIR");

        checkValide.setText("Valide ?");
        checkValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkValideActionPerformed(evt);
            }
        });

        btnInvalider.setToolTipText("Invalider CIR sélectionné");

        tfMessage.setForeground(new java.awt.Color(102, 102, 102));
        tfMessage.setText("Agents");

        btnRepreparer.setToolTipText("Invalider CIR sélectionné");

        btnPreparerFichier.setText("Préparer FICHIER");
        btnPreparerFichier.setToolTipText("Préparation des données CIR");

        btnImprimer.setToolTipText("Imprimer la liste des agents affichés");

        btnImporter.setToolTipText("Invalider CIR sélectionné");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel4.setText("Certifié ?");

        popupCertifies.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel5.setText("Complétude ?");

        popupCompletudes.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnExporter.setToolTipText("Imprimer la liste des agents affichés");

        btnRechercher.setText("Recherche");
        btnRechercher.setToolTipText("Lancer la recherche");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(tfMessage, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 145, Short.MAX_VALUE)
                        .add(217, 217, 217)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnPreparerDonnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnPreparerFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 74, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupCertifies, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5)
                        .add(7, 7, 7)
                        .add(popupCompletudes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 83, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(checkValide, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 798, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(btnRepreparer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnModifier, 0, 0, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, btnInvalider, 0, 0, Short.MAX_VALUE)
                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(btnImporter, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel2)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel3)
                        .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel4)
                        .add(popupCertifies, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel5)
                        .add(popupCompletudes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(checkValide))
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(6, 6, 6)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnInvalider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnRepreparer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnImporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 510, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(btnPreparerFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnPreparerDonnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tfMessage))))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void checkValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkValideActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnExporter;
    protected javax.swing.JButton btnImporter;
    private javax.swing.JButton btnImprimer;
    protected javax.swing.JButton btnInvalider;
    protected javax.swing.JButton btnModifier;
    protected javax.swing.JButton btnPreparerDonnees;
    protected javax.swing.JButton btnPreparerFichier;
    protected javax.swing.JButton btnRechercher;
    protected javax.swing.JButton btnRepreparer;
    protected javax.swing.JButton btnSupprimer;
    private javax.swing.JCheckBox checkValide;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JComboBox popupCertifies;
    private javax.swing.JComboBox popupCompletudes;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltrePrenom;
    private javax.swing.JLabel tfMessage;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
           
    	btnImporter.setIcon(CocktailIcones.ICON_WIZARD_16);
    	btnImporter.setToolTipText("Importer le fichier de certification des données");
    	
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnRepreparer.setIcon(CocktailIcones.ICON_REFRESH_16);
    	btnRepreparer.setToolTipText("Repréparer les données CIR du ou des individus sélectionnés");
    	
    	btnInvalider.setIcon(CocktailIcones.ICON_CANCEL);
    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnExporter.setIcon(CocktailIcones.ICON_EXCEL_16);
    	btnRechercher.setIcon(CocktailIcones.ICON_LOUPE_16);

    	btnPreparerDonnees.setIcon(CocktailIcones.ICON_CALCULATE_16);
    	btnPreparerDonnees.setToolTipText("Calcul des données de certifications d'identité");
    	
    	btnPreparerFichier.setIcon(CocktailIcones.ICON_DOSSIER_22);
    	btnPreparerFichier.setToolTipText("Préparation du fichier d'envoi (Export csv)");
    	
    	popupCertifies.removeAllItems();
    	popupCertifies.addItem("*");
    	popupCertifies.addItem("OUI");
    	popupCertifies.addItem("NON");
    	popupCompletudes.removeAllItems();
    	popupCompletudes.addItem("*");
    	popupCompletudes.addItem("OUI");
    	popupCompletudes.addItem("NON");
    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eod, EOCirIdentite.NOM_USUEL_KEY, "Nom", 140);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.PRENOM_USUEL_KEY, "Prénom", 110);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.NOM_PATRONYMIQUE_KEY, "Nom Famille", 110);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.IND_NO_INSEE_KEY, "INSEE", 85);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.SEXE_KEY, "Sexe", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.D_NAISSANCE_KEY, "Date Naiss.", 75);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.TO_INDIVIDU_KEY+"."+EOIndividu.DATE_CERTIFICATION_KEY, "Certification", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.TO_INDIVIDU_KEY+"."+EOIndividu.DATE_COMPLETUDE_KEY, "Complétude", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.CIR_DATE_REF_KEY, "Date Réf.", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOCirIdentite.CIR_VALIDE_KEY, "Val", 30);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

    	
		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnImporter() {
		return btnImporter;
	}

	public void setBtnImporter(javax.swing.JButton btnImporter) {
		this.btnImporter = btnImporter;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JButton getBtnInvalider() {
		return btnInvalider;
	}

	public void setBtnInvalider(javax.swing.JButton btnInvalider) {
		this.btnInvalider = btnInvalider;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnPreparerDonnees() {
		return btnPreparerDonnees;
	}

	public void setBtnPreparerDonnees(javax.swing.JButton btnPreparerDonnees) {
		this.btnPreparerDonnees = btnPreparerDonnees;
	}
	public javax.swing.JButton getBtnPreparerFichier() {
		return btnPreparerFichier;
	}

	public void setBtnPreparerFichier(javax.swing.JButton btnPreparerFichier) {
		this.btnPreparerFichier = btnPreparerFichier;
	}

	public javax.swing.JButton getBtnRepreparer() {
		return btnRepreparer;
	}

	public void setBtnRepreparer(javax.swing.JButton btnRepreparer) {
		this.btnRepreparer = btnRepreparer;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JCheckBox getCheckValide() {
		return checkValide;
	}

	public void setCheckValide(javax.swing.JCheckBox checkValide) {
		this.checkValide = checkValide;
	}

	public javax.swing.JComboBox getPopupCertifies() {
		return popupCertifies;
	}

	public void setPopupCertifies(javax.swing.JComboBox popupCertifies) {
		this.popupCertifies = popupCertifies;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JTextField getTfFiltrePrenom() {
		return tfFiltrePrenom;
	}

	public void setTfFiltrePrenom(javax.swing.JTextField tfFiltrePrenom) {
		this.tfFiltrePrenom = tfFiltrePrenom;
	}

	public javax.swing.JLabel getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JLabel tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JComboBox getPopupCompletudes() {
		return popupCompletudes;
	}

	public void setPopupCompletudes(javax.swing.JComboBox popupCompletudes) {
		this.popupCompletudes = popupCompletudes;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}


}
